> For a complete page index, fetch https://developer.close.com/llms.txt # Create an outcome POST https://api.close.com/api/v1/outcome/ Content-Type: application/json Create a new outcome for the organization. Reference: https://developer.close.com/api/resources/outcomes/create ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a CreateOutcome. - `name` (string, required) — Displayed to users wherever outcomes can be selected. - `description` (string, optional, nullable) — Explain what the outcome means and when it should be used. - `type` (enum, optional) — Set to `vm-dropped` if this outcome should be automatically set on calls whenever a team member performs a Voicemail Drop. Otherwise, leave empty or explicitly set to `custom` (default). - Allowed values: `vm-dropped`, `custom` - `applies_to` (list of enum, optional, nullable, deprecated) — Deprecated. This field will be derived from `type` in a future update: `custom` applies to calls and meetings, `vm-dropped` applies to calls only. - Allowed values: `calls`, `meetings` ## Response ### 201 Successful response - `applies_to` (list of enum, required) - Allowed values: `calls`, `meetings` - `created_by` (string, required, nullable) - `date_created` (datetime, required) - `date_updated` (datetime, required) - `description` (string, required, nullable) - `id` (string, required) - `name` (string, required) - `organization_id` (string, required) - `type` (enum, required) - Allowed values: `vm-dropped`, `custom` - `updated_by` (string, required, nullable) ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Request** ```json { "name": "Not Interested", "description": "Prospect declined our offer", "type": "custom" } ``` **Response** ```json { "applies_to": [ "calls", "meetings" ], "created_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2025-07-29T10:30:00.000000+00:00", "date_updated": "2025-07-29T10:30:00.000000+00:00", "description": "Prospect declined our offer", "id": "outcome_03oUxZfoO6e2vHmcz1DiHR", "name": "Not Interested", "organization_id": "orga_rbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "type": "custom", "updated_by": "user_a6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ``` **SDK Code** ```python outcomes_create_example import requests url = "https://api.close.com/api/v1/outcome/" payload = { "name": "Not Interested", "description": "Prospect declined our offer", "type": "custom" } headers = { "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript outcomes_create_example const url = 'https://api.close.com/api/v1/outcome/'; const credentials = btoa(":"); const options = { method: 'POST', headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'}, body: '{"name":"Not Interested","description":"Prospect declined our offer","type":"custom"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go outcomes_create_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/outcome/" payload := strings.NewReader("{\n \"name\": \"Not Interested\",\n \"description\": \"Prospect declined our offer\",\n \"type\": \"custom\"\n}") req, _ := http.NewRequest("POST", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby outcomes_create_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/outcome/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Not Interested\",\n \"description\": \"Prospect declined our offer\",\n \"type\": \"custom\"\n}" response = http.request(request) puts response.read_body ``` ```java outcomes_create_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.close.com/api/v1/outcome/") .basicAuth("", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"Not Interested\",\n \"description\": \"Prospect declined our offer\",\n \"type\": \"custom\"\n}") .asString(); ``` ```php outcomes_create_example request('POST', 'https://api.close.com/api/v1/outcome/', [ 'body' => '{ "name": "Not Interested", "description": "Prospect declined our offer", "type": "custom" }', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp outcomes_create_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/outcome/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Not Interested\",\n \"description\": \"Prospect declined our offer\",\n \"type\": \"custom\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ```